#include "viewerNONE.h"
#include "TaskManager.h"

#define default_sdl_flag SDL_INIT_TIMER | SDL_INIT_JOYSTICK

ViewerNONE::~ViewerNONE() {}


Uint32 *
ViewerNONE::video_init(TaskManager *manager, int bpp, int width, int height)
{
    Uint32 sdl_flag = default_sdl_flag | SDL_INIT_VIDEO;
    
    if (SDL_Init(sdl_flag) < 0) {
	fprintf(stderr,"Couldn't initialize SDL: %s\n",SDL_GetError());
	exit(1);
    }

    this->width = 0;
    this->height = 0;
    this->bpp = 0;

    return NULL;
}

uint32_t *
ViewerNONE::flip_screen(uint32_t *old)
{
    return NULL;
}
